image: python:3.8-alpine

test:
  stage: test
  script:
  - apk add --update --no-cache graphviz ttf-freefont
  - pip install -U sphinx
  - pip install -U sphinx-rtd-theme
  - pip install -U autodocsumm
  - pip install -U sphinx-tabs
  - pip install .
  - sphinx-build -b html doc public
  only:
  - branches
  except:
  - master

pages:
  stage: deploy
  script:
  - apk add --update --no-cache graphviz ttf-freefont
  - pip install -U sphinx
  - pip install -U sphinx-rtd-theme
  - pip install -U autodocsumm
  - pip install -U sphinx-tabs
  - pip install .
  - sphinx-build -b html doc public
  artifacts:
    paths:
    - public
  only:
  - master
